---
- name: PING - For testing only
  win_ping:

- name: Install Java JDK 11
  win_chocolatey:
    name: openjdk11
    state: present

- name: Add JAVA_HOME
  win_environment:
    state: present
    name: JAVA_HOME
    level: machine
    value: "{{ java_home }}"

- name: Add Java to PATH
  win_path:
    elements:
      - "{{ java_bin }}"

- name: Reboot the machine
  win_reboot: